package core.api.models.timemanager.taskSchedule;

import core.entities.timemanager.BasicTaskSchedule;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class BasicTaskScheduleEntityInfo {

    private long scheduleID;
    private LocalDate scheduleDate;
    private LocalDateTime startTime;
    private LocalDateTime finishedTime;

    public BasicTaskScheduleEntityInfo(BasicTaskSchedule basicTaskSchedule) {
        this.scheduleID = basicTaskSchedule.getScheduleID();
        this.scheduleDate = basicTaskSchedule.getScheduleDate();
        this.startTime = basicTaskSchedule.getStartTime();
        this.finishedTime = basicTaskSchedule.getFinishedTime();
    }

    public long getScheduleID() {
        return scheduleID;
    }

    public void setScheduleID(long scheduleID) {
        this.scheduleID = scheduleID;
    }

    public LocalDate getScheduleDate() {
        return scheduleDate;
    }

    public void setScheduleDate(LocalDate scheduleDate) {
        this.scheduleDate = scheduleDate;
    }

    public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }

    public LocalDateTime getFinishedTime() {
        return finishedTime;
    }

    public void setFinishedTime(LocalDateTime finishedTime) {
        this.finishedTime = finishedTime;
    }
}
